### Function

# Phosh get_desktop_app_info_for_app_id

#### Declaration [src]

    GDesktopAppInfo*
    phosh_get_desktop_app_info_for_app_id (
      const char* app_id
    )

#### Description [src]

Looks up an app info object for specified application ID. Tries a bunch of transformations in order to maximize compatibility with X11 and non-GTK applications that may not report the exact same string as their app-id and in their desktop file.

#### Parameters

`app_id`

  Type: `const char*`

  The app_id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDesktopAppInfo`

GDesktopAppInfo for requested app_id.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.